#!/bin/bash

FILE=$(mktemp)
VERSION=$(grep -o -E "[0-9]+" Version.h)
DATE=$(date +"%a, %d %b %Y %H:%M:%S %z")

echo "cronosagent (${VERSION}) none; urgency=low" >> ${FILE}
echo >> ${FILE}
echo "  * Daily build" >> ${FILE}
echo >> ${FILE}
echo " -- Artem Prilutskiy <cyanide.burnout@gmail.com>  ${DATE}" >> ${FILE}
echo >> ${FILE}

# test -f debian/changelog && cat debian/changelog >> ${FILE}
mv ${FILE} debian/changelog
